package com.ywt.alipaympapi.face.impl;

import com.alipay.api.request.AlipayCommerceAppUploadRequest;
import com.alipay.api.response.AlipayCommerceAppUploadResponse;
import com.ywt.alipaympapi.face.IAlipayService;
import com.ywt.alipaympapi.face.ICommerceFace;
import org.springframework.beans.factory.annotation.Autowired;

public class CommerceFace implements ICommerceFace {
    @Autowired
    private IAlipayService alipayService;

    @Override
    public AlipayCommerceAppUploadResponse createApp(String appId, AlipayCommerceAppUploadRequest request) {
        return alipayService.execute(appId, request);
    }
}
