package com.ywt.alipaympapi.service;

import com.ywt.response.OrderReminderResponse;

import java.util.List;

/**
 * 提醒信息相关service
 **/
public interface IOrderReminderService {

    /**
     * 查询小程序用户首页应该要展示的提醒信息列表
     * @param appId
     * @param userId
     * @return 提醒信息
     */
    List<OrderReminderResponse> userIndexReminderInfoList(String appId, String userId);

    /**
     * 查询小程序用户首页应该要展示的提醒信息
     * @param appId
     * @param userId
     * @return 提醒信息
     **/
    OrderReminderResponse userIndexReminderInfo(String appId, String userId);
}
