package com.ywt.request.card;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.card.MyCardListResponse;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 查询登录用户就诊卡列表请求体
 **/
@Getter
@Setter
@ToString
public class MyCardListRequest implements IsvRequest<MyCardListResponse>, IAppIdRequest, IUserIdRequest {
    private String appId;//医院小程序的AppId
    private String userId;//用户唯一id

    @Override
    public String serviceName() {
        return "isvRequest.medicCard.myCardList";
    }
}
