package com.ywt.request.history;

import com.ywt.model.IsvPageRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.history.VisitListResponseData;
import lombok.Data;

/**
 * 就诊历史列表请求
 **/
@Data
public class VisitListRequest implements IsvPageRequest<VisitListResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId
    private String userId;
    private String cardNum;//就诊卡卡号
    private int pageIndex;
    private int pageSize;

    @Override
    public String serviceName() {
        return "isvRequest.history.visitList";
    }
}
