package com.ywt.request.register;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.response.register.QueryDoctorInfoResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 医生简介
 **/
@Getter
@Setter
@ToString
public class QueryDoctorInfoRequest implements IsvRequest<QueryDoctorInfoResponseData>, IAppIdRequest {
    private String appId;//医院小程序的AppId
    private String doctorId;//医生id
    @Override
    public String serviceName() {
        return "isvRequest.doctor.doctorInfo";
    }
}
