package com.ywt.request.inpatient;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.inpatient.NoticeAuthResponseData;
import lombok.Data;

/**
 * 押金缴纳消息通知授权请求体
 */
@Data
public class NoticeAuthRequest implements IsvRequest<NoticeAuthResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户唯一id

    @Override
    public String serviceName() {
        return "isvRequest.deposit.noticeAuth";
    }
}