package com.ywt.request.inpatient;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.inpatient.SettlementDetailsResponseData;
import lombok.Data;

/**
 * 出院信息结算详情请求体
 */
@Data
public class SettlementDetailsRequest implements IsvRequest<SettlementDetailsResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户唯一id

    private String inpatientId;//住院记录id

    @Override
    public String serviceName() {
        return "isvRequest.settlement.details";
    }
}