package com.ywt.request.pay;


import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.response.pay.ComputeSelfPaidOrderResponseData;
import lombok.Data;

@Data
public class ComputeSelfPaidOrderRequest implements IsvRequest<ComputeSelfPaidOrderResponseData>, IAppIdRequest {
    private String appId;//医院小程序的AppId
    private String outTradeNo;//订单号

    @Override
    public String serviceName() {
        return "miniProRequest.pay.computeSelfPaidOrder";
    }
}
