package com.ywt.request.pay;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.pay.PayDetailResponseData;
import lombok.Data;

/**
 * 订单详情查询的请求参数
 **/
@Data
public class PayDetailRequest implements IsvRequest<PayDetailResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId
    private String userId;//用户唯一id
    private Integer type;//订单类型标识，现阶段主要是挂号费和充值订单;1-挂号费订单 2-充值订单
    private String outTradeNo;//订单号

    @Override
    public String serviceName() {
        return "miniProRequest.pay.payDetail";
    }
}
