package com.ywt.request.queue;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.queue.QueryQueueListResponse;
import lombok.Data;

/**
 * 排队列表请求
 */
@Data
public class QueryQueueListRequest implements IsvRequest<QueryQueueListResponse>, IAppIdRequest, IUserIdRequest {
    private String appId;//医院小程序的AppId
    private String userId;//用户唯一id
    private String cardNum;//就诊卡卡号

    @Override
    public String serviceName() {
        return "isvRequest.queue.queryList";
    }
}
