package com.ywt.request.register;

import com.ywt.model.IsvListRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.response.register.QueryDoctorListResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 首页医生列表查询请求
 **/
@Getter
@Setter
@ToString
public class QueryDoctorListRequest implements IsvListRequest<QueryDoctorListResponseData>, IAppIdRequest {

    private String appId;//医院小程序的AppId
    private int pageIndex;//页码
    private int pageSize;//页条数

    private String deptCode;//科室code
    private String doctorName;//医生姓名

    @Override
    public String serviceName() {
        return "isvRequest.doctor.departmentList";
    }
}
