package com.ywt.response.inpatient;

import com.ywt.model.IsvResponseData;
import com.ywt.response.inpatient.SettlementQueryResponseData.Item;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/**
 * 日清详情回执
 */
@Getter
@Setter
@ToString
public class DailyBillDetailsResponseData implements IsvResponseData {

    private String id; //日清单id

    private String inpatientId; //住院记录id

    private String inpatientName; //住院人姓名

    private String checkInDate; //登记时间, 格式：yyyy-MM-dd HH:mm:ss

    private String spendToday; //今日花费

    private String spendTotal; //累计花费

    private String depositBalance; //押金余额

    private String billDate; //日清账单日期

    private List<Item> payItemList;

}
