package com.ywt.response.inpatient;

import com.ywt.model.IsvResponseData;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 入院登记列表回执
 */
@Getter
@Setter
@ToString
public class InpatientListResponseData implements IsvResponseData {

    private String inpatientId; //住院记录id

    private String patientId; //就诊人id

    private String inpatientName; //住院人姓名

    private Integer inpatientAge; //住院人年龄

    private String sex; //住院人性别

    private String checkInDate; //登记时间, 格式：yyyy-MM-dd HH:mm:ss

    private String departmentName; //科室

    private String area; //病区

    private String bedspace; //床位

    private String depositBalance; //押金余额

    private String doctorName; //医生名字

    private String inpatientNo; //住院号

}
